unit System;

interface

type
  TGUID = record
    D1: LongWord;
    D2: Word;
    D3: Word;
    D4: array[0..7] of Byte;
  end;
  TDLLProc = procedure(Reason: Integer);
  TDLLProcEx = procedure(Reason: Integer; Reserved: Integer);

procedure _Halt0;
procedure _HandleFinally;

var
  ExitCode: Integer;

implementation

procedure _Halt0; assembler;
asm
        mov     eax, [ExitCode]
        leave
end;

procedure _HandleFinally; assembler;
asm
        mov     eax, True
end;

end.
